<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$fingerprint = '36c74d2e60ba474eab6d6f6d46a642b0';
$response = $api->Cards->GetByFingerprint($fingerprint);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
fingerprint: '48d63bbcfc2c47fcbc19df35e47b2f8d',
}
const listCardsFingerprint = async (fingerprint) => {
return await mangopay.Cards.getByFingerprint(fingerprint)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listCardsFingerprint(myCard.fingerprint)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listFingerprintCards(fingerprint)
begin
response = MangoPay::Card.get_by_fingerprint(fingerprint)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch cards for fingerprint: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Fingerprint: '36c74d2e60ba474eab6d6f6d46a642b0',
}
listFingerprintCards(myCard[:Fingerprint])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
fingerprint = '48d63bbcfc2c47fcbc19df35e47b2f8d'
cards = Card.get_by_fingerprint(fingerprint)
for card in cards:
pprint(vars(card))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var fingerprint = "48d63bbcfc2c47fcbc19df35e47b2f8d";
var userCards = await api.Cards.GetCardsByFingerprintAsync(fingerprint, null, null);
string prettyPrint = JsonConvert.SerializeObject(userCards, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWQ0VWBTFSWCPF29SR3E7PK9",
"Id": "card_m_01HXVF29TMRSTBRE11RY6EY6PT",
"Tag": null,
"CreationDate": 1715687466,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Jody Smith"
},
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
]
Cards
List Cards for a Fingerprint
GET
/
v2.01
/
{ClientId}
/
cards
/
fingerprints
/
{Fingerprint}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$fingerprint = '36c74d2e60ba474eab6d6f6d46a642b0';
$response = $api->Cards->GetByFingerprint($fingerprint);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
fingerprint: '48d63bbcfc2c47fcbc19df35e47b2f8d',
}
const listCardsFingerprint = async (fingerprint) => {
return await mangopay.Cards.getByFingerprint(fingerprint)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listCardsFingerprint(myCard.fingerprint)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listFingerprintCards(fingerprint)
begin
response = MangoPay::Card.get_by_fingerprint(fingerprint)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch cards for fingerprint: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Fingerprint: '36c74d2e60ba474eab6d6f6d46a642b0',
}
listFingerprintCards(myCard[:Fingerprint])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
fingerprint = '48d63bbcfc2c47fcbc19df35e47b2f8d'
cards = Card.get_by_fingerprint(fingerprint)
for card in cards:
pprint(vars(card))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var fingerprint = "48d63bbcfc2c47fcbc19df35e47b2f8d";
var userCards = await api.Cards.GetCardsByFingerprintAsync(fingerprint, null, null);
string prettyPrint = JsonConvert.SerializeObject(userCards, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWQ0VWBTFSWCPF29SR3E7PK9",
"Id": "card_m_01HXVF29TMRSTBRE11RY6EY6PT",
"Tag": null,
"CreationDate": 1715687466,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Jody Smith"
},
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
]
This call returns all the cards with the same
Fingerprint value. This can be useful to detect abnormal or fraudulent behavior.
Learn more about card fingerprint →
Path parameters
string
required
The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential.
Responses
200
200
array
The list of the cards created by the platform.
Show properties
Show properties
object
The card object created by the platform.
Show properties
Show properties
string
Format: “MMYY”The expiration date of the card.
string
The card number, partially obfuscated.
string
Returned values:
CB_VISA_MASTERCARD, AMEX, MAESTRO, BCMCDefault value: CB_VISA_MASTERCARDThe type of the card. If not supplied, the default value will be taken into account.string
Allowed values:
CB, VISA, MASTERCARD, AMEX, MAESTRO, BCMC, JCB, DISCOVERThe provider of the card.string
Format: ISO-3166-1 alpha-3 three-letter country code (e.g., “FRA”)The country of the card (which is the same as the country of the issuer).
string
The name of the card issuing bank.
boolean
Whether the card is active or not. Setting this parameter to
false is irreversible and should be done once the pay-in is successful.string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the card.
string
Returned values:
UNKNOWN, VALID, INVALIDWhether the card is valid or not.UNKNOWN– No payment or card validation has been processed, so the validity of the card remains unknown.VALID– The first payment or card validation using the card was processed successfully within 24 hours of the initial card registration.INVALID– The first payment or card validation using the card was attempted and failed, or the status of the corresponding card registration wasCREATEDfor more than 24 hours.
Once a card is set toINVALID, it cannot be set back toVALID. A new card registration will be necessary to make a payment.
string
The unique identifier of the user the card belongs to.
string
The unique identifier of the Card object.
string
Custom data added to this object.
In the case of the Card object, the tag value is inherited from the Card Registration object and is not editable.
In the case of the Card object, the tag value is inherited from the Card Registration object and is not editable.
Unix timestamp
The date and time at which the object was created.
string
The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential.
[
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWQ0VWBTFSWCPF29SR3E7PK9",
"Id": "card_m_01HXVF29TMRSTBRE11RY6EY6PT",
"Tag": null,
"CreationDate": 1715687466,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Jody Smith"
},
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
]
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$fingerprint = '36c74d2e60ba474eab6d6f6d46a642b0';
$response = $api->Cards->GetByFingerprint($fingerprint);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
fingerprint: '48d63bbcfc2c47fcbc19df35e47b2f8d',
}
const listCardsFingerprint = async (fingerprint) => {
return await mangopay.Cards.getByFingerprint(fingerprint)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listCardsFingerprint(myCard.fingerprint)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listFingerprintCards(fingerprint)
begin
response = MangoPay::Card.get_by_fingerprint(fingerprint)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch cards for fingerprint: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Fingerprint: '36c74d2e60ba474eab6d6f6d46a642b0',
}
listFingerprintCards(myCard[:Fingerprint])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
fingerprint = '48d63bbcfc2c47fcbc19df35e47b2f8d'
cards = Card.get_by_fingerprint(fingerprint)
for card in cards:
pprint(vars(card))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var fingerprint = "48d63bbcfc2c47fcbc19df35e47b2f8d";
var userCards = await api.Cards.GetCardsByFingerprintAsync(fingerprint, null, null);
string prettyPrint = JsonConvert.SerializeObject(userCards, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I